function nacoma() {
	return document.getElementById('nacoma').contentWindow;
}

(function () {
	module("Tests on expanded hosts");
	document.getElementById('nacoma').setAttribute('src', '/monitor/op5/nacoma/edit.php?obj_type=host&obj_id=2&action=expand');

	test('ip_val_ok()', function() {
		ok(nacoma().ip_val_ok('30'), '30 is a valid IP octet');
		ok(nacoma().ip_val_ok('255'), '255 is a valid IP octet');
		ok(nacoma().ip_val_ok('0'), '0 is a valid IP octet');
		ok(!nacoma().ip_val_ok(undefined), '"undefined" is not a valid IP octet');
		ok(!nacoma().ip_val_ok(null), '"null" is not a valid IP octet');
		ok(!nacoma().ip_val_ok(true), '"true" is not a valid IP octet');
		ok(!nacoma().ip_val_ok(false), '"false" is not a valid IP octet');
		ok(!nacoma().ip_val_ok('256'), '256 is not a valid IP octet');
		ok(!nacoma().ip_val_ok('a'), '"a" is not a valid IP octet');
	});

	test('validate_ip()', function() {
		ok(nacoma().validate_ip('127.0.0.1'), '127.0.0.1 is an ok IP');
		ok(!nacoma().validate_ip('kalleanka'), 'kalleanka is not an ok IP');
	});
})();
