Feature: Auth Modules
	Create, delete, rename

	@asmonitor @nacoma
	Scenario: Create, set as default, rename and delete a new Auth Module with Default Driver
		When I click "Auth modules"
		When I click "Add New Module"
		And I enter "testDefault" into "driver_name"
		And I click "Add" within ".ui-dialog"
		Then I should see "testDefault"
		And I click "Submit"
		Then I should see "testDefault"
		When I click "common"
		Then "common-default_auth" should have option "testDefault"
		And I click css "select[name=common-default_auth]"
		And I select "testDefault"
		And I click "Submit"
		Then "testDefault" should be selected from "common-default_auth"
		When I click "testDefault"
		And I enter "renamedDefault" into "testDefault-rename_module"
		And I click "Submit"
		Then I shouldn't see "testDefault"
		When I click "common"
		Then "renamedDefault" should be selected from "common-default_auth"
		When I click css "#delete-renamedDefault"
		And I confirm popup
		Then I shouldn't see "renamedDefault"
		And I click "Submit"
		Then I shouldn't see "renamedDefault"