Given /^I have these host groups(?: configured)?:$/ do |table|
  @configuration.hostgroups = table.hashes
end

And /^I have these services(?: configured)?:$/ do |table|
  @configuration.services = table.hashes
end

When /^I have submitted a passive ([a-z]+) check result "(.*)"$/ do |type, check_result|
  if type == 'host' then
    @configuration.add_host_check_result check_result
  else
    @configuration.add_service_check_result check_result
  end
  @configuration.submit_passive_check_results
end

Then /^I should see the configured (.*)?$/ do |obj_type|
  @configuration.send(obj_type.to_sym).all? {
    |obj| page.should have_content(obj)
  }
end

And /^I have activated the configuration$/ do
  #XXX: This is a bit cheesy, but I haven't been able to find a way to
  # inject code between the execution of the background and the actual
  # scenario. I probably just haven't looked hard enough...?
  @configuration.activate
end
