Feature: Clone host
	Test that hosts can be cloned

	@case-567
	@bug-5841
	@asmonitor @nacoma
	Scenario: Clone host
		When I select "monitor"
		And I click "Go"
		And I click "clone"
		Then I should see "Clone host step 1 / 3"
		And "Number of copies to make" should contain "1"
		And "MySQL" should be checked
		And I uncheck "SSH"
		And I click "Clone"
		And I should see "Clone step 2 / 3"
		When I enter "monitor_clone" into "host_name"
		And I enter "127.0.0.2" into "address"
		And I click "Create host clones"
		Then I should see "You have unsaved configuration changes"
		And I should see "Clone host was committed successfully"
		And I should see "Successfully cloned monitor_clone;MySQL"
		And I shouldn't see "Successfully cloned monitor_clone;SSH"
		Then I save config
		When I click configure
		Then "obj_id" should have option "monitor_clone"
		When I select "monitor_clone"
		And I click "Go"
		And I click "Services for host monitor_clone"
		Then "obj_id" should have option "MySQL" in the service selector
		And "obj_id" shouldn't have option "SSH" in the service selector

	@asmonitor @nacoma
	Scenario: Delete cloned host
		When I select "monitor_clone"
		And I click "Go"
		And I click "delete"
		And I click "Delete all slave objects" waiting patiently
		Then I should see "Deleted 1 host object"
		Then I save config
