Feature: Hostgroups
	Add and delete hostgroups

	@case-599
	@asmonitor @nacoma
	Scenario: Add hostgroup
		When I click "Host groups"
		And I select "printer1" from "hostgroup_tmp[new][members][]"
		And I doubleclick "printer1" from "hostgroup_tmp[new][members][]"
		And I select "router1" from "hostgroup_tmp[new][members][]"
		And I doubleclick "router1" from "hostgroup_tmp[new][members][]"
		And I select "win-server1" from "hostgroup_tmp[new][members][]"
		And I doubleclick "win-server1" from "hostgroup_tmp[new][members][]"
		And I select "switch1" from "hostgroup_tmp[new][members][]"
		And I doubleclick "switch1" from "hostgroup_tmp[new][members][]"
		And I enter "test_host_group" into "hostgroup[new][hostgroup_name]"
		And I enter "some stuff" into "hostgroup[new][alias]"
		And I click "Submit"
		Then I should see "Successfully changed 1 hostgroup object"
		When I click "copy"
		Then "hostgroup[new][alias]" should contain "some stuff"
		When I save config

	@case-600
	@asmonitor @nacoma
	Scenario: Edit hostgroup
		When I click "Host groups"
		And I select "test_host_group"
		And I click "Go"
		Then "members" should have option "printer1"
		And "members" shouldn't have option "monitor"
		When I select "win-server1"
		When I doubleclick "win-server1"
		And I click "Submit"
		Then I should see "Successfully changed 1 hostgroup object"
		And "members" should have option "printer1"
		And "members" shouldn't have option "win-server1"
		When I save config

	@case-601
	@asmonitor @nacoma
	Scenario: Copy hostgroup
		When I click "Host groups"
		And I select "test_host_group"
		And I click "Go"
		Then "members" should have option "printer1"
		And "members" shouldn't have option "monitor"
		When I click "copy"
		And I enter "test_host_group2" into "hostgroup_name"
		And I select "unix-servers" from "hostgroup_tmp[new][hostgroup_members][]"
		And I doubleclick "unix-servers" from "hostgroup_tmp[new][hostgroup_members][]"
		And I click "Submit"
		Then I should see "Successfully changed 1 hostgroup object"
		And "members" should have option "printer1"
		And "members" shouldn't have option "win-server1"
		And "hostgroup_members" should have option "unix-servers"
		When I save config

	@asmonitor @nacoma
	Scenario: Delete copied hostgroup
		When I click "Host groups"
		And I select "test_host_group2"
		And I click "Go"
		And I click "Delete"
		And I click "Delete all slave objects"
		Then I should see "Deleted 1 hostgroup object"
		When I save config

	@case-603
	@asmonitor @nacoma
	Scenario: Delete hostgroup
		When I click "Host groups"
		And I select "test_host_group"
		And I click "Go"
		And I click "Delete"
		And I click "Delete all slave objects"
		Then I should see "Deleted 1 hostgroup object"
		When I save config
