Feature: Hostdependencies
	Test that hostdependencies can be added and deleted again

	@case-561
	@asmonitor @nacoma
	Scenario: Add hostdependency
		When I select "monitor"
		And I click "Go"
		And I click "dependencies"
		And I select "switch1" from "hostdependency[new][host_name]"
		And I select "24x7"
		And I check "hostdependency[new][notification_failure_criteria][o]"
		And I check "hostdependency[new][execution_failure_criteria][o]"
		And I check "hostdependency[new][execution_failure_criteria][u]"
		And I check "hostdependency[new][execution_failure_criteria][d]"
		And I select "No" from "hostdependency[new][inherits_parent]"
		And I click "Submit"
		Then I should see "Successfully changed 1 hostdependency object"
		Then I save config

	@case-563
	@asmonitor @nacoma
	Scenario: Delete hostdependency
		When I select "monitor"
		And I click "Go"
		And I click "dependencies"
		And I select ""monitor" depends on host "switch1"" from "obj_id"
		And I click "Go" in the service selector
		And I should see "propagate"
		And I click "Delete"
		Then I should see "Deleted 1 hostdependency object" waiting patiently
		Then I save config
		When I click configure
		And I select "monitor"
		And I click "Go"
		And I click "dependencies"
		Then "obj_id" shouldn't have option ""monitor" depends on host "switch1""
