Feature: hostescalations
	Create and delete hostescalations

	@asmonitor @nacoma
	Scenario: Add hostescalation
		When I select "monitor"
		And I click "Go"
		And I click "escalations"
		And I select "monitor" from "hostescalation_tmp[new][contacts][]"
		And I doubleclick "monitor" from "hostescalation_tmp[new][contacts][]"
		And I enter "1" into "hostescalation[new][first_notification]"
		And I enter "1" into "hostescalation[new][last_notification]"
		And I enter "1" into "hostescalation[new][notification_interval]"
		And I select "24x7"
		And I check "hostescalation[new][escalation_options][u]"
		And I check "hostescalation[new][escalation_options][r]"
		And I click "Submit"
		Then I should see "Successfully changed 1 hostescalation object"
		And I save config

	@asmonitor @nacoma
	Scenario: Delete added hostescalation
		When I select "monitor"
		And I click "Go"
		And I click "escalations"
		And I select "Host Escalation for host monitor" from "obj_id"
		And I click "Go" in the service selector
		And I click "Delete"
		Then I should see "Deleted 1 hostescalation object" waiting patiently
		And I save config

