Then /^I should see the following nacoma helptexts:$/ do |table|
	table.hashes.each do |hash|
		find(:xpath, "//a[@title='Click to view help on "+hash['row']+"']").click
		page.should have_content(hash['helptext'])
		# poltergeist gets all up in my biz 'bout these overlaping, so sod it
		page.execute_script('$("img[alt=Close]").click()')
	end
end

Then /^I should not see undefined helptexts$/ do
	all(:xpath, "//td[@class='HelpList']/a").each { |helpbtn|
		if helpbtn.visible? then
			helpbtn.click
			page.should_not have_content('description missing')
			page.execute_script('$("img[alt=Close]").click()')
		end
	}
end

When /^I enter nacoma$/ do
# These are excersized by authorization.feature, and they fail when we short-cutted past the auth
#	page.execute_script('$("#navigation, #configuration-menu").css("display", "block")')
#	click_on ('configuration-nacoma')
#	within_frame('iframe') do
#		page.should have_link('New hosts')
#	end
	visit path_to("nacoma page")
end

# We can't click the top bar thanks to floating, hence these:
When /^I click configure$/ do
	find(:xpath, "//img[@alt='Configure']").trigger('click')
end

When /^I save config$/ do
	find(:xpath, "//img[@alt='Save']").trigger('click')
	page.should have_content("You are about to save your configuration")
	# fookin' 'ell, stupid poltergeist forgets to click unless you're persistent
	page.should have_button("Save objects I have changed")
	page.should have_button("Save everything")
	click_button("Save objects I have changed")
	page.should have_content("Monitor has successfully loaded the new configuration")
	# discover PHP notices and the like
	page.should_not have_content("PHP")
end

When /^(.*) in the service selector$/ do |thestep|
	within(:xpath, "//form[@id='bar_form']") do
		step thestep
	end
end

When /^I click undo config$/ do
	find(:xpath, "//img[@alt='Undo']").trigger('click')
end

