Feature: Service groups
	Add and delete

	@case-604
	@asmonitor @nacoma
	Scenario: Add servicegroup
		When I click "Service groups"
		And I enter "test_service_group" into "servicegroup[new][servicegroup_name]"
		And I enter "some stuff" into "servicegroup[new][alias]"
		And I enter "ping" into "regexp1"
		And I select "linux-server1;PING" from "servicegroup_tmp[new][members][]"
		And I doubleclick "linux-server1;PING" from "servicegroup_tmp[new][members][]"
		And I select "switch1;PING" from "servicegroup_tmp[new][members][]"
		And I doubleclick "switch1;PING" from "servicegroup_tmp[new][members][]"
		And I select "printer1;PING" from "servicegroup_tmp[new][members][]"
		And I doubleclick "printer1;PING" from "servicegroup_tmp[new][members][]"
		And I select "router1;PING" from "servicegroup_tmp[new][members][]"
		And I doubleclick "router1;PING" from "servicegroup_tmp[new][members][]"
		And I select "win-server1;PING" from "servicegroup_tmp[new][members][]"
		And I doubleclick "win-server1;PING" from "servicegroup_tmp[new][members][]"
		And I click "Submit"
		Then I should see "Successfully changed 1 servicegroup object"
		When I save config

	@case-605
	@asmonitor @nacoma
	Scenario: Edit servicegroup
		When I click "Service groups"
		And I select "test_service_group"
		And I click "Go"
		Then "members" should have option "linux-server1;PING"
		And "members" shouldn't have option "monitor;Cron process"
		When I select "monitor;Cron process"
		When I doubleclick "monitor;Cron process"
		And I click "Submit"
		Then I should see "Successfully changed 1 servicegroup object"
		And "members" should have option "monitor;Cron process"
		And "members" shouldn't have option "linux-server1;Cron process"
		When I save config

	@case-606
	@asmonitor @nacoma
	Scenario: Copy servicegroup
		When I click "Service groups"
		And I select "test_service_group"
		And I click "Go"
		And I click "copy"
		Then "servicegroup[new][alias]" should contain "some stuff"
		And "members" should have option "monitor;Cron process"
		And "members" shouldn't have option "linux-server1;Cron process"
		When I select "test_service_group" from "servicegroup_tmp[new][servicegroup_members][]"
		And I doubleclick "test_service_group" from "servicegroup_tmp[new][servicegroup_members][]"
		And I enter "test_service_group2" into "servicegroup_name"
		And I click "Submit"
		Then I should see "Successfully changed 1 servicegroup object"
		And "servicegroup_members" should have option "test_service_group"
		When I save config

	@asmonitor @nacoma
	Scenario: Delete copied servicegroup
		When I click "Service groups"
		And I select "test_service_group2"
		And I click "Go"
		And I click "Delete"
		And I click "Delete all slave objects"
		Then I should see "Deleted 1 servicegroup object"
		And I should see "Deleted 6 service -> servicegroup relations"
		When I save config

	@case-608
	@asmonitor @nacoma
	Scenario: Delete servicegroup
		When I click "Service groups"
		And I select "test_service_group"
		And I click "Go"
		And I click "Delete"
		And I click "Delete all slave objects"
		Then I should see "Deleted 1 servicegroup object"
		And I should see "Deleted 6 service -> servicegroup relations"
		When I save config
