Feature: Service templates
	Add and remove

	@case-589
	@asmonitor @nacoma
	Scenario: Create service template
		When I click "Service templates"
		And I enter "test_service_template" into "service_template[new][name]"
		And I enter "test" into "service_template[new][display_name]"
		And I select "Yes" from "service_template[new][is_volatile]"
		And I select "OK" from "service_template[new][initial_state]"
		And I enter "2" into "service_template[new][check_interval]"
		And I enter "1" into "service_template[new][retry_interval]"
		And I check "service_template[new][stalking_options][c]"
		And I check "service_template[new][stalking_options][w]"
		And I check "service_template[new][stalking_options][u]"
		And I check "service_template[new][stalking_options][o]"
		And I click "Submit"
		Then I should see "Successfully changed 1 service_template object"
		And I save config
	
	@case-590
	@asmonitor @nacoma
	Scenario: Edit service template
		When I click "Service templates"
		And I select "test_service_template"
		And I click "Go"
		Then "retry_interval" should contain "1"
		When I enter "88" into "check_interval"
		And I click "Submit"
		Then I should see "Successfully changed 1 service_template object"
		And I save config

	@case-591
	@asmonitor @nacoma
	Scenario: Copy service template
		When I click "Service templates"
		And I select "test_service_template"
		And I click "Go"
		And I click "copy"
		Then I should see "New Service Template"
		And "name" should contain ""
		And "check_interval" should contain "88"
		When I enter "test_service_template2" into "name"
		Then I click "Submit"
		Then I should see "Successfully changed 1 service_template object"
		And I save config

	@asmonitor @nacoma
	Scenario: Delete copied service template
		When I click "Service templates"
		And I select "test_service_template2"
		And I click "Go"
		And I click "Delete"
		Then I should see "Deleted 1 service_template object"
		When I save config

	@case-592
	@asmonitor @nacoma
	Scenario: Delete service template
		When I click "Service templates"
		And I select "test_service_template"
		And I click "Go"
		And I click "Delete"
		Then I should see "Deleted 1 service_template object"
		When I save config
