Feature: Servicedependencies
	Create and delete a service dependency

	@case-572
	@asmonitor @nacoma
	Scenario: Create service dependency
		When I select "linux-server1"
		And I click "Go"
		And I click "Services for host linux-server1"
		And I select "PING"
		And I click "Go" in the service selector
		And I click "dependencies"
		And I select "monitor;Disk usage /" from "service"
		And I select "24x7"
		And I check "servicedependency[new][execution_failure_criteria][u]"
		And I check "servicedependency[new][notification_failure_criteria][u]"
		And I check "servicedependency[new][notification_failure_criteria][o]"
		And I click "Submit"
		Then I should see "Successfully changed 1 servicedependency object"
		When I click "copy"
		Then I should see "New Servicedependency"
		And "monitor;Disk usage /" should be selected from "service"
		And "24x7" should be selected from "dependency_period"
		And "servicedependency[new][execution_failure_criteria][u]" should be checked
		And "servicedependency[new][notification_failure_criteria][u]" should be checked
		And "servicedependency[new][notification_failure_criteria][o]" should be checked
		And "servicedependency[new][execution_failure_criteria][o]" should be unchecked
		When I save config
		And I click configure
		And I select "linux-server1"
		And I click "Go"
		And I click "Services for host linux-server1"
		And I select "PING"
		And I click "Go" in the service selector
		And I click "dependencies"
		Then "obj_id" should have option ""linux-server1;PING" depends on "monitor;Disk usage /"" in the service selector

	@case-574
	@asmonitor @nacoma
	Scenario: Delete service dependency
		When I select "linux-server1"
		And I click "Go"
		And I click "Services for host linux-server1"
		And I select "PING"
		And I click "Go" in the service selector
		And I click "dependencies"
		And I select ""linux-server1;PING" depends on "monitor;Disk usage /"" from "obj_id"
		And I click "Go" in the service selector
		And I click "Delete"
		Then I should see "Deleted 1 servicedependency object"
		When I save config

	@asmonitor @nacoma
	Scenario: Clone service dependency
		When I select "linux-server1"
		And I click "Go"
		And I click "Services for host linux-server1"
		And I select "PING"
		And I click "Go" in the service selector
		And I click "dependencies"
		And I select "monitor;Disk usage /" from "servicedependency[new][service]"
		And I select "24x7"
		And I check "servicedependency[new][execution_failure_criteria][u]"
		And I check "servicedependency[new][execution_failure_criteria][o]"
		And I check "servicedependency[new][notification_failure_criteria][u]"
		And I check "servicedependency[new][notification_failure_criteria][o]"
		And I click "Submit"
		Then I should see "Successfully changed 1 servicedependency object"
		When I click "clone"
		When I select "monitor;Cron process" from "selected_services_tmp[]"
		And I doubleclick "monitor;Cron process" from "selected_services_tmp[]"
		And I click "Clone"
		Then I shouldn't see regex "Couldn't save"
		And I should see regex "Created 1 clones from 1 servicedependencys to 1 service"
	
	@asmonitor @nacoma
	Scenario: Clone service dependency cleanup
		When I click undo config
		And I accept alert
		Then I should see "This is the op5 Monitor Configuration tool"
