<?php
require_once('sprof.php');
require_once('phptap.php');
$tap = new phptap("Section Profiler testsuite");
if ($tap->cli && $argc > 1)
	$tap->parse_args($argc, $argv);
$sprof = new section_profile('sleep 1');
$sprof->start('sleep 1');
usleep(200000);
$tap->ok_gt($sprof->stop(), 0.2, "sprof->stop returns a correct value");
$sprof->start('sleep 1');
usleep(200000);
$tap->ok_gt($sprof->stop(), 0.4, "continued profiling should work");
$tap->ok_gt($sprof->done(), 0.4, "profiling end-result sould be > 0.4");
$sprof->start('some other section');
usleep(200000);
$tap->ok_gt($sprof->stop(), 0.2, "sprof->stop after continued should return correct value");
$tap->ok_gt($sprof->total, 0.6, "sprof continuously calculates total duration");
$tap->ok_gt($sprof->done(), 0.6, "profiling end-result should be > 0.6");
exit($tap->done());
?>
