Feature: Contact groups
	Create and delete

	@case-609
	@asmonitor @nacoma
	Scenario: Create contact group
		When I click "Contact groups"
		And I select "monitor" from "contactgroup_tmp[new][members][]"
		And I doubleclick "monitor" from "contactgroup_tmp[new][members][]"
		And I enter "test_contact_group" into "contactgroup[new][contactgroup_name]"
		And I enter "some_stuff" into "contactgroup[new][alias]"
		And I click "Submit"
		Then I should see "Successfully changed 1 contactgroup object"
		When I save config

	@case-610
	@asmonitor @nacoma
	Scenario: Edit contact group
		When I click "Contact groups"
		And I select "test_contact_group"
		And I click "Go"
		And I enter "some_other_stuff" into "alias"
		And I click "Submit"
		Then I should see "Successfully changed 1 contactgroup object"
		When I save config

	@case-611
	@asmonitor @nacoma
	Scenario: Copy contact group
		When I click "Contact groups"
		And I select "test_contact_group"
		And I click "Go"
		And I click "copy"
		Then "contactgroup[new][alias]" should contain "some_other_stuff"
		When I select "test_contact_group" from "contactgroup_tmp[new][contactgroup_members][]"
		And I doubleclick "test_contact_group" from "contactgroup_tmp[new][contactgroup_members][]"
		And I enter "test_contact_group2" into "contactgroup_name"
		And I click "Submit"
		Then I should see "Successfully changed 1 contactgroup object"
		And "alias" should contain "some_other_stuff"
		And "contactgroup_members" should have option "test_contact_group"
		When I save config

	@asmonitor @nacoma
	Scenario: Delete copied contact group
		When I click "Contact groups"
		And I select "test_contact_group2"
		And I click "Go"
		And I click "Delete"
		And I click "Delete all slave objects"
		Then I should see "Deleted 1 contactgroup object"
		When I save config

	@case-613
	@asmonitor @nacoma
	Scenario: Delete contact group
		When I click "Contact groups"
		And I select "test_contact_group"
		And I click "Go"
		And I click "Delete"
		And I click "Delete all slave objects"
		Then I should see "Deleted 1 contactgroup object"
		When I save config
