Feature: Contact templates
	Add and delete contact templates

	@case-593
	@asmonitor @nacoma
	Scenario: Create contact template
		When I click "Contact templates"
		And I enter "test_contact_template" into "contact_template[new][name]"
		And I check "contact_template[new][host_notification_options][u]"
		And I check "contact_template[new][host_notification_options][f]"
		And I check "contact_template[new][service_notification_options][u]"
		And I check "contact_template[new][service_notification_options][f]"
		And I enter "test" into "contact_template[new][email]"
		And I click "Submit"
		Then I should see "Successfully changed 1 contact_template object"
		When I save config

	@case-594
	@asmonitor @nacoma
	Scenario: Edit contact template
		When I click "Contact templates"
		And I select "test_contact_template"
		And I click "Go"
		Then "name" should contain "test_contact_template"
		And "email" should contain "test"
		When I enter "flubb" into "pager"
		And I click "Submit"
		Then I should see "Successfully changed 1 contact_template object"
		And "email" should contain "test"
		And "pager" should contain "flubb"
		When I save config

	@case-595
	@asmonitor @nacoma
	Scenario: Copy contact template
		When I click "Contact templates"
		And I select "test_contact_template"
		And I click "Go"
		And I click "copy"
		Then I should see "New Contact Template"
		And "contact_template[new][email]" should contain "test"
		When I enter "test_contact_template2" into "name"
		And I click "Submit"
		Then I should see "Successfully changed 1 contact_template object"
		When I save config

	@asmonitor @nacoma
	Scenario: Delete copied contact template
		When I click "Contact templates"
		And I select "test_contact_template2"
		And I click "Go"
		And I click "Delete"
		Then I should see "Deleted 1 contact_template object"
		Then I save config

	@case-596
	@asmonitor @nacoma
	Scenario: Delete contact template
		When I click "Contact templates"
		And I select "test_contact_template"
		And I click "Go"
		And I click "Delete"
		Then I should see "Deleted 1 contact_template object"
		Then I save config
