Feature: Graph Templates
	Graph templates should let you switch templates for checks easily.
	This merely checks that the template switching looks right, not that the
	template itself does

	@asmonitor @nacoma
	Scenario: Create custom graph template
		When I click "Graph templates"
		Then I should see "New Custom Graph Template"
		When I select "check_radius" from "Check command"
		And I select "lslprediction" from "Graph template"
		And I click "Submit"
		Then I should see "Successfully changed 1 graph_template"
		And "check_radius" should be selected from "Check command"
		And "lslprediction" should be selected from "Graph template"
		And "obj_id" should have option "check_radius"

	@asmonitor @nacoma
	Scenario: Edit custom graph template
		When I click "Graph templates"
		And I select "check_radius" from "obj_id"
		And I click "Go"
		Then "check_radius" should be selected from "Check command"
		And "lslprediction" should be selected from "Graph template"
		When I select "default" from "Graph template"
		And I click "Submit"
		Then I should see "Successfully changed 1 graph_template"
		And "check_radius" should be selected from "Check command"
		And "default" should be selected from "Graph template"
		And "check_radius" should be selected from "obj_id"

	@asmonitor @nacoma
	Scenario: Delete custom graph template
		When I click "Graph templates"
		And I select "check_radius" from "obj_id"
		And I click "Go"
		Then "check_radius" should be selected from "Check command"
		And "default" should be selected from "Graph template"
		When I click "Delete"
		Then I should see "Graph template check_radius deleted"
		And "obj_id" shouldn't have option "check_radius"
