Feature: Grouprights
	Create, delete

	@asmonitor @nacoma
	Scenario: Create new group with rights to view all hosts
		When I click "Assign group rights"
		And I enter "test_group" into "name[new]"
		And I click "Expand All"
		And I check "access_right[new][host_view_all]"
		And I click "Submit"
		Then I shouldn't see "Warning"
		And I click configure
		When I click "Assign group rights"
		Then "name[dGVzdF9ncm91cA==]" should contain "test_group"
		And I should see css "*[name='name[dGVzdF9ncm91cA==]']"
		When I click "Expand All"
		Then "access_right[dGVzdF9ncm91cA==][host_view_all]" should be checked

	@asmonitor @nacoma
	Scenario: Remove the group again
		When I click "Assign group rights"
		Then I should see css "*[name='name[dGVzdF9ncm91cA==]']"
		And I enter "" into "name[dGVzdF9ncm91cA==]"
		And I click "Submit"
		Then I shouldn't see css "*[name='name[dGVzdF9ncm91cA==]']"
