Feature: Host templates
	Create and delete host templates

	@case-584
	@asmonitor @nacoma
	Scenario: Create host template
		When I click "Host templates"
		And I enter "test_host_template" into "host_template[new][name]"
		And I enter "test" into "host_template[new][display_name]"
		And I select "Unreachable" from "host_template[new][initial_state]"
		And I select "monitor" from "host_template_tmp[new][contacts][]"
		And I doubleclick "monitor" from "host_template_tmp[new][contacts][]"
		And I enter "1" into "host_template[new][check_interval]"
		And I enter "1" into "host_template[new][retry_interval]"
		And I select "24x7" from "host_template[new][check_period]"
		And I check "host_template[new][flap_detection_options][d]"
		And I check "host_template[new][flap_detection_options][u]"
		And I check "host_template[new][flap_detection_options][o]"
		And I check "host_template[new][stalking_options][d]"
		And I check "host_template[new][stalking_options][u]"
		And I check "host_template[new][stalking_options][o]"
		And I click "Submit"
		Then I should see "Successfully changed 1 host_template object"
		And I save config

	@case-585
	@asmonitor @nacoma
	Scenario: Edit host template
		When I click "Host templates"
		And I select "test_host_template"
		And I click "Go"
		Then "name" should contain "test_host_template"
		And "check_interval" should contain "1"
		And "24x7" should be selected from "check_period"
		When I select "Up" from "initial_state"
		And I click "Submit"
		Then I should see "Successfully changed 1 host_template object"
		And "name" should contain "test_host_template"
		And "Up" should be selected from "initial_state"
		And I save config

	@case-586
	@asmonitor @nacoma
	Scenario: Copy host template
		When I click "Host templates"
		And I select "test_host_template"
		And I click "Go"
		Then "name" should contain "test_host_template"
		And "Up" should be selected from "initial_state"
		When I click "copy"
		Then I should see "New Host Template"
		And "name" should contain ""
		And "Up" should be selected from "initial_state"
		When I enter "test_host_template2" into "name"
		And I click "Submit"
		Then I should see "Successfully changed 1 host_template object"
		And I save config

	@asmonitor @nacoma
	Scenario: Delete copied host template
		When I click "Host templates"
		And I select "test_host_template2"
		And I click "Go"
		And I click "Delete"
		Then I should see "Deleted 1 host_template object" waiting patiently
		When I save config

	@case-587
	@asmonitor @nacoma
	Scenario: Delete host template
		When I click "Host templates"
		And I select "test_host_template"
		And I click "Go"
		And I click "Delete"
		Then I should see "Deleted 1 host_template object" waiting patiently
		When I save config
