Feature: Serviceescalation
	Create and delete a service escalation

	@case-575
	@asmonitor @nacoma
	Scenario: Create service escalation
		When I select "linux-server1"
		And I click "Go"
		And I click "Services for host linux-server1"
		And I select "PING"
		And I click "Go" in the service selector
		And I click "escalations"
		And I select "monitor" from "serviceescalation_tmp[new][contacts][]"
		And I doubleclick "monitor" from "serviceescalation_tmp[new][contacts][]"
		And I enter "1" into "first_notification"
		And I enter "2" into "last_notification"
		And I enter "3" into "notification_interval"
		And I select "24x7" from "escalation_period"
		And I check "Unknown"
		And I click "Submit"
		Then I should see "Successfully changed 1 serviceescalation object"
		When I save config
		And I click configure
		And I select "linux-server1"
		And I click "Go"
		And I click "Services for host linux-server1"
		And I select "PING"
		And I click "Go" in the service selector
		And I click "escalations"
		And I select "Service Escalation for linux-server1;PING" in the service selector
		And I click "Go" in the service selector
		Then "first_notification" should contain "1"
		And "last_notification" should contain "2"
		And "notification_interval" should contain "3"
		And "24x7" should be selected from "escalation_period"
		And "Unknown" should be checked
		And "Recovery" should be unchecked

	@case-576
	@asmonitor @nacoma
	Scenario: Delete service dependency
		When I select "linux-server1"
		And I click "Go"
		And I click "Services for host linux-server1"
		And I select "PING"
		And I click "Go" in the service selector
		And I click "escalations"
		And I select "Service Escalation for linux-server1;PING" in the service selector
		And I click "Go" in the service selector
		And I click "Delete"
		Then I should see "Deleted 1 serviceescalation object"
		When I save config
